# AbortedFetchException (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class AbortedFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.AbortedFetchException

All Implemented Interfaces:
  Serializable

    public class AbortedFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbortedFetchException()`
`AbortedFetchException(String url, AbortedFetchReason abortReason)`
`AbortedFetchException(String url, String msg, AbortedFetchReason abortReason)`

### Method Summary

Methods
`AbortedFetchReason` `getAbortReason()`

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbortedFetchException

    public AbortedFetchException()

#### AbortedFetchException

    public AbortedFetchException(String url,
                         AbortedFetchReason abortReason)

#### AbortedFetchException

    public AbortedFetchException(String url,
                         String msg,
                         AbortedFetchReason abortReason)

### Method Detail

#### getAbortReason

    public AbortedFetchReason getAbortReason()